@import "@/styles/variables";

.text-area {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;

    &-field {
        display: grid;
        grid-template-areas: "textarea";

        > * {
            grid-area: textarea;
        }
    }

    &-icon {
        transform: translateX(70%) translateY(70%);
        width: 1.5rem;
        aspect-ratio: 1;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &-input {
        @include input-1;

        padding: 1.2rem 1.5rem 0.75rem 3.5rem;
        width: 100% !important;
        height: 58px;
        color: $gray-600;
        border: 1px solid $gray-200;
        border-radius: 12px;
        text-align: start;
        resize: none;
        overflow: auto;

        &:hover {
            color: $gray-800;
            border: 1px solid $gray-300;
        }

        &:focus {
            color: $gray-800;
            outline: 1px solid $gray-400;
        }

        &__label-hidden {
            padding: 1.75rem 1.5rem 0.35rem 3.5rem;
            height: 7lh;
        }

        &__error {
            border: 1px solid $color-error;
        }

        &__with-value {
            color: $gray-900;
        }
    }

    &-label {
        @include label-1;

        transform: translateX(3.6rem) translateY(70%);
        color: $gray-600;
        width: fit-content;
        height: fit-content;
        background-color: $white;
        padding-bottom: 0.1rem;

        &__hidden {
            padding: 1.25rem 2rem 0.35rem 1rem;
        }
    }
}

.error {
    @include error-message;

    padding-left: 1rem;
}
